Jump to content


Photo
* * * * * 1 votes

NextGen Gallery update... broke carousel?


  • Please log in to reply
23 replies to this topic

#21 trisquelmedia

trisquelmedia

    Super Member

  • Members
  • 143 posts

Posted 26 October 2013 - 09:03 AM

This is the answer I have given me Next Gen Gallery developers, Pagelines Framework have to make a minor modification to the code.

 

"The PageLines Carousel code may be asking for its information that is not compatible with the current version of NextGEN Gallery. There have been many changes to the underlying code when we moved to the current 2.0.x branch and several older pieces of code may need to be re-factored to use our current plugin framework."



#22 Rob

Rob

    One Smart Egg

  • Members
  • 13575 posts
  • LocationEast Coast, USA
  • Framework Version:The Latest, of course
  • Country: Country Flag

Posted 26 October 2013 - 02:12 PM

Their answer makes perfect sense, but our Carousel is an older technology, and isn't likely to be updated anytime soon.  We do offer a premium plugin that works with both Framework and DMS called Cool Carousel.  You can find it here:

Please Login or Register to see this Hidden Content

 

I'm not sure there's any other way to resolve this other than to use a different carousel or an earlier version of NextGen.



#23 dhrose

dhrose

    Super Member

  • Members

  • 147 posts
  • LocationCharlotte NC
  • Framework Version:2.4.4
  • Country: Country Flag

Posted 26 October 2013 - 02:57 PM

My problem with this is that I spent a lot of time setting up the carousel, creating the galleries and getting the correct scaling for the next-gen. I mean weeks. I have to basically throw out that to redo the basic portfolio site I have. Not sure how easy it is to set up this $24.95 one, but that's a lot of work, and I have to pay for it... Or redo the site in DMS which I started, but then I have to move the whole site, which creates a whole new can of worms... Er, I suppose my love for website building... and wordpress is showing. Ha!



#24 Rob

Rob

    One Smart Egg

  • Members
  • 13575 posts
  • LocationEast Coast, USA
  • Framework Version:The Latest, of course
  • Country: Country Flag

Posted 26 October 2013 - 03:37 PM

You still have the viable option of using the 1.9.x version of NextGen, which still works well with our Carousel, thus removing any chance you'd have to reconstruct your previous work.

 

I understand your frustration, but the Carousel isn't new, by any measure, and when third party companies change their code, we can't upgrade what is essentially an out dated product.  As you know, the Carousel wasn't included in DMS, for this very reason. It's simply not adaptable enough to the newest technology.

 

Unfortunately, technology advances, and all too often (for my tastes, too), it means having to rebuild things far too often. You have my complete sympathies and agreement on that.